View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
18456Bug reportsErgonomypublic2023-01-24 21:25
ReporterNickko Assigned To 
PrioritynoneSeverityminor 
Status confirmedResolutionopen 
Product Version5.4.x 
Summary18456: Interface language parmater use exotic dropdown list.
Description

Interface language parmater use exotic dropdown list.

A usual dropdown list all the user to type the begining of the word he is looking for, for example, typing "Fra" for "français".
This exotic dropdown list require the user to click on a input text field to type in what they are looking for.

It's better if all dropdonw list was identical and common. (it's a usability/ergonomics criterias find in Nielsen and Bastien et Scapin papers).

Steps To Reproduce

Steps to reproduce

Go to "my account" / "my personal settings".
Click on "interface language".
Type the begining of a language.

Expected result

The text corresponding to the entry is show in the dropdown list.

Actual result

Nothing happen.

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)5.4.9+221101
I will donate to the project if issue is resolvedNo
BrowserVivaldi & Edge
Database type & versionMySQL
Server OS (if known)OVH shared hosting
Webserver software & version (if known)OVH shared hosting
PHP Version8.1

Relationships

related to 17813 assignedDenisChenu Current select2 are unaccessible 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

Nickko

Nickko

2022-11-04 12:07

updater  

personal settings.png (65,931 bytes)   
personal settings.png (65,931 bytes)   
c_schmitz

c_schmitz

2022-11-04 15:46

administrator   ~72568

I can confirm that.

Possible solution: https://stackoverflow.com/questions/68030101/why-is-jquery-select2-autofocus-not-working-and-how-do-i-fix-it

This should be applied to all select2 elements.

DenisChenu

DenisChenu

2022-11-04 17:42

developer   ~72569

This should be applied to all select2 elements.

Unsure , maybe by data-autofocus ?

About selelect2 : we nee really more … on user list, on survey list when copy etc …
https://gitlab.com/SondagesPro/coreAndTools/select2ForAdmin/-/blob/master/assets/select2ForAdmin.js

DenisChenu

DenisChenu

2022-11-04 17:46

developer   ~72570

Maybe better use this PR : https://github.com/select2/select2/pull/6044
(if it work)

Issue History

Date Modified Username Field Change
2022-11-04 12:07 Nickko New Issue
2022-11-04 12:07 Nickko File Added: personal settings.png
2022-11-04 15:46 c_schmitz Note Added: 72568
2022-11-04 15:46 c_schmitz Bug heat 0 => 2
2022-11-04 17:42 DenisChenu Note Added: 72569
2022-11-04 17:42 DenisChenu File Added: Capture d’écran du 2022-11-04 17-39-21.png
2022-11-04 17:42 DenisChenu Bug heat 2 => 4
2022-11-04 17:46 DenisChenu Note Added: 72570
2022-11-04 17:50 DenisChenu Relationship added related to 17813
2022-11-07 14:20 gabrieljenik Status new => acknowledged
2023-01-24 21:25 gabrieljenik Status acknowledged => confirmed